HunspellStemmer.Stem (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.hunspell.HunspellStemmer.Stem class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.hunspell
Class HunspellStemmer.Stem

    java.lang.Object
      org.apache.lucene.analysis.hunspell.HunspellStemmer.Stem

Enclosing class:
  HunspellStemmer

    public static class HunspellStemmer.Stem

extends Object

Stem represents all information known about a stem of a word. This includes the stem, and the prefixes and suffixes that were used to change the word into the stem.

Constructor Summary
`HunspellStemmer.Stem(char[] stem, int stemLength)` Creates a new Stem wrapping the given word stem

Method Summary
`void` | `addPrefix(HunspellAffix prefix)` Adds a prefix to the list of prefixes used to generate this stem.
`void` | `addSuffix(HunspellAffix suffix)` Adds a suffix to the list of suffixes used to generate this stem.
`List<HunspellAffix>` | `getPrefixes()` Returns the list of prefixes used to generate the stem
`char[]` | `getStem()` Returns the actual word stem itself
`int` | `getStemLength()`
`String` | `getStemString()`
`List<HunspellAffix>` | `getSuffixes()` Returns the list of suffixes used to generate the stem

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HunspellStemmer.Stem

    public HunspellStemmer.Stem(char[] stem,
                                int stemLength)

  Creates a new Stem wrapping the given word stem

  Parameters:
    `stem` - Stem of a word

Method Detail

### addPrefix

    public void addPrefix(HunspellAffix prefix)

  Adds a prefix to the list of prefixes used to generate this stem. Because it is assumed that prefixes are added depth first, the prefix is added to the front of the list

  Parameters:
    `prefix` - Prefix to add to the list of prefixes for this stem

### addSuffix

    public void addSuffix(HunspellAffix suffix)

  Adds a suffix to the list of suffixes used to generate this stem. Because it is assumed that suffixes are added depth first, the suffix is added to the end of the list

  Parameters:
    `suffix` - Suffix to add to the list of suffixes for this stem

### getPrefixes

    public List<HunspellAffix> getPrefixes()

  Returns the list of prefixes used to generate the stem

  Returns:
    List of prefixes used to generate the stem or an empty list if no prefixes were required

### getSuffixes

    public List<HunspellAffix> getSuffixes()

  Returns the list of suffixes used to generate the stem

  Returns:
    List of suffixes used to generate the stem or an empty list if no suffixes were required

### getStem

    public char[] getStem()

  Returns the actual word stem itself

  Returns:
    Word stem itself

### getStemLength

    public int getStemLength()

  Returns:
    the stemLength

### getStemString

    public String getStemString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD